Name:           gio-sharp
Version:        2.22.2
Release:        1%{?_dist_release}
License:        GPLv2 ; MIT
Group:          Development/Libraries
Summary:        .NET/C# Bindings for GIO
URL:            http://gitorious.org/gio-sharp
Source:         %{name}-%{version}.tar.bz2
Patch1:		gio-sharp-2.22.2-fix-pkgconfig.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  glib2-devel >= 2.22
BuildRequires:  gtk-sharp2
BuildRequires:  gtk-sharp2-gapi
BuildRequires:  mono-devel
BuildRequires:  monodoc

Requires:       mono-core
Requires:       glib2 >= 2.22
Requires:       gtk-sharp2 >= 2.12

%description
C#/CLI bindings for GIO

%package devel
License:        GPLv2 ; MIT
Group:          Development/Libraries
Summary:        .NET/C# Bindings for GIO
Requires:       %{name} = %{version}

%description devel
Files for developing programs that use gio-sharp


%prep
%setup -q
%patch1 -p1 -b .fix-pkgconfig

%build
%configure
%{__make}

%install
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
%{__rm} -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc ChangeLog NEWS COPYING AUTHORS README
%dir %_prefix/lib/gio-sharp
%_prefix/lib/gio-sharp/*.dll*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/gio-sharp-2.0.pc
%dir %_prefix/share/gapi-2.0
%_prefix/share/gapi-2.0/gio-api.xml

%changelog
* Thu Feb 17 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 2.22.2-1
- initial build for Vine Linux based on suse factory

* Wed Sep  1 2010 gburt@suse.de
- Update to 2.22.2 release
  + install .config file

* Wed Sep  1 2010 gburt@suse.de
- Update to 2.22.1 release
  + no longer installed in GAC

* Mon Jun 21 2010 gburt@suse.de
- Update tarball to commit b76d56d
  + Clarifies license; gio-sharp is MIT/X11
  + Implements GioStream.SetLength
  + Passes `make distcheck`

* Fri Jan 15 2010 gburt@suse.de
- Initial packaging
  + git rev d49deb5395ad01293abaed5e8f509f8822ac15a8
  + plus a small patch for GioStream.SetLength and to dist properly
  
